cc.funkemunky.api.utils.math

## Class RollingAverage

- java.lang.Object
- - cc.funkemunky.api.utils.math.RollingAverage

    public class RollingAverage
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RollingAverage(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(double x, long t)`
`void` `clearValues()`
`double` `getAverage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RollingAverage

    public RollingAverage(int size)

### Method Detail

#### add

    public void add(double x,
                    long t)

#### clearValues

    public void clearValues()

#### getAverage

    public double getAverage()